"use client";
import * as p from "react";
import { Primitive as v } from "../../react-primitive/dist/index.js";
import { jsx as l } from "react/jsx-runtime";
var m = "Separator", a = "horizontal", d = ["horizontal", "vertical"], i = p.forwardRef((r, n) => {
  const { decorative: e, orientation: t = a, ...s } = r, o = f(t) ? t : a, c = e ? { role: "none" } : { "aria-orientation": o === "vertical" ? o : void 0, role: "separator" };
  return /* @__PURE__ */ l(
    v.div,
    {
      "data-orientation": o,
      ...c,
      ...s,
      ref: n
    }
  );
});
i.displayName = m;
function f(r) {
  return d.includes(r);
}
var R = i;
export {
  R as Root,
  i as Separator
};
